## Index

### Type aliases

- CallBackSome

### Functions

- some

## Type aliases

### CallBackSome

CallBackSome: function

- Defined in methods/some.ts:2

returns boolean

#### Type declaration

- - (value: T, index?: undefined | number, collection?: T[]): Promise<boolean>

  - #### Parameters

    - ##### value: T

    - ##### Optional index: undefined | number

    - ##### Optional collection: T[]

    #### Returns Promise<boolean>

## Functions

### some

- some<T>(elements: T[], cb: CallBackSome<T>): Promise<boolean>

- - Defined in methods/some.ts:17

  Async Some function

  export
  template

    T

  #### Type parameters

  - #### T

  #### Parameters

  - ##### elements: T[]

  - ##### cb: CallBackSome<T>

  #### Returns Promise<boolean>

Generated using TypeDoc